Create theme
POST https://{handle}.myshopline.com/admin/openapi/v20261201/themes.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .create theme api
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
- role integerpublished : The theme is published. unpublished theme is unpublished. development : The theme is used for development.
- src stringTheme resource link
- name string requiredTheme name
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
themeobject
Theme informationcreated_at longThe date and time of when the theme was createdid stringidExample:627d1003d4baa549bf5b83f9name stringThe name of the theme.Example:demo_themerole integerThe status of the themetheme_store_id stringstore IDExample:1631700219512updated_at longThe date and time of when the theme was last updatedcheck_errorsobject[]
Check errors infomessage arrayMessage of error infoExample:[""]type stringType of error infofilename stringFilename of error info
API Explorer
Debugger
Was this article helpful to you?